<div class="header bg-gradient-teal pb-2 pt-5 pt-md-8">
  <div class="container-fluid breadcrumbs">
    <!-- Breadcrumbs -->
    <nav aria-label="breadcrumb">
      <ol class="breadcrumb">
        <li class="breadcrumb-item active" aria-current="page"> <i class="fas fa-home"></i> Analítica</li>
        <li class="breadcrumb-item active" aria-current="page">Aquisição</li>
        <li class="breadcrumb-item active" aria-current="page">Ficha de medicamento</li>
      </ol>
    </nav>
  </div>

  <div class="container-fluid">
    <div class="header-body">
      <!-- Card stats -->
      <div class="row">
        <div class="col-lg-12">
          <form class="navbar-search navbar-search-dark form-inline mr-3 d-none d-md-flex ml-lg-auto">
            <div class="form-group mb-0">
              <div class="input-group input-group-alternative">
                <div class="input-group-prepend">
                  <span class="input-group-text">
                    <i class="fas fa-search"></i>
                  </span>
                </div>
                <input
                  class="form-control" placeholder="Pesquisar"
                  type="text" (focus)="focus = true" name="searchTerm"
                  (blur)="focus = false"
                />
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Page content -->
<div class="container-fluid mb-4">
  <div class="mb-4">
    <h2 class="">FICHA DO CONTRATO</h2>
  </div>
  <div class="row mb-2">
    <div class="col-lg-12">
      <div class="card rectangle-box">
        <div class="mb-2 pl-2 pt-2">
          <h4 class="">DETALHES DO CONTRATO</h4>
        </div>
        <div class="row pl-4">
          <div class="col-lg-3">
            <div>
              <b>CATMAT</b>: -
            </div>
            <div>
              <b>Utilização</b>: {{ tableDetail }}
            </div>
          </div>
          <div class="col-lg-3">
            <div>
              <b>Coordenação</b>: {{ translate_coords[tableOption] }}
            </div>
            <div>
              <b>Agregador</b>: {{ tableAggregator }}
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- row end -->
  <!-- acompanhamento bloco -->
  <div class="mb-2 pl-2 pt-2">
    <h4 class="">ACOMPANHAMENTO</h4>
  </div>
  <div class="row mb-2">
    <div class="col-lg-3">
      <div class="card rectangle-box">
        <div class="pl-2 pt-2">
          <h4 class="">ORÇAMENTÁRIO</h4>
        </div>
      </div>
    </div>
    <div class="col-lg-3">
      <div class="card rectangle-box">
        <div class="pl-2 pt-2">
          <h4 class="">ORÇAMENTÁRIO</h4>
        </div>
      </div>
    </div>
    <div class="col-lg-3">
      <div class="card rectangle-box">
        <div class="pl-2 pt-2">
          <h4 class="">ORÇAMENTÁRIO</h4>
        </div>
      </div>
    </div>
    <div class="col-lg-3">
      <div class="card rectangle-box">
        <div class="pl-2 pt-2">
          <h4 class="">ORÇAMENTÁRIO</h4>
        </div>
      </div>
    </div>
  </div>
  <!-- end row -->
  <!-- end acompanhamento bloco -->
  <div class="row mb-2">
    <div class="col-lg-12">
      <div class="card rectangle-box">
        <div class="pl-2 pt-2">
          <h4 class="">HISTÓRICO DE COMPRAS</h4>
        </div>
        <app-chart [chartData]="chartData"></app-chart>
      </div>
    </div>
  </div>
  <!-- row end -->
  <div class="row mb-2">
    <div class="col-lg-12">
      <div class="card rectangle-box">
        <div class="pl-2 pt-2">
          <h4 class="">ORÇAMENTÁRIO</h4>
        </div>
        <!-- Tables -->
        <div class="table-responsive">
          <table class="table align-items-center table-striped">
            <thead class="thead-light">
              <tr>
                <th scope="col"> </th>
                <th scope="col" *ngFor="let header of headerData">
                  {{ header }}  
              </th>
            </thead>
            <tbody>
              <tr *ngFor="let data of analyticData">
                <td></td>
                <td *ngFor="let header of headerData">
                  {{ data[header] }}
                </td>
              </tr>
            </tbody>
          </table>
        </div> 
        <!-- end Tables -->
      </div>
    </div>
  </div>
  <!-- row end -->
  
</div>
